local assets =
{
	Asset("ANIM", "anim/catrope.zip"),
    Asset("ATLAS", "images/inventoryimages/catrope.xml")
}


local function HeatFn(inst, observer)
	return inst.components.temperature:GetCurrent()
end


-- Still does nothing. Dunno what it should do...
local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)

    
    anim:SetBank("catrope")
    anim:SetBuild("catrope")
    anim:PlayAnimation("idle")
	
	if IsDLCEnabled(CAPY_DLC) then
		MakeInventoryFloatable(inst, "idle_water", "idle")
	end
	
	inst:AddComponent("temperature")
	inst.components.temperature.inherentinsulation = TUNING.INSULATION_SMALL
	inst.components.temperature.maxtemp = 15
	inst.components.temperature.mintemp = 15
	inst.components.temperature.current = 15
	
	inst:AddComponent("heater")
	inst.components.heater.heatfn = HeatFn
	inst.components.heater.carriedheatfn = HeatFn
	
	
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/catrope.xml"
	
	
    
    return inst
end

return Prefab( "common/inventory/catrope", fn, assets) 

